<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('productos', function (Blueprint $table) {
            $table->id();
            $table->string('name', 200);
            $table->double('price', 15, 2);
            $table->unsignedBigInteger('categoria_id');
            $table->boolean('solidario');
            $table->boolean('bono');
            $table->boolean('barrial')->default(false);
            $table->unsignedBigInteger('barrio_id')->nullable();
            $table->timestamps();
            $table->foreign('categoria_id')->references('id')->on('categorias');
            $table->foreign('barrio_id')->references('id')->on('barrios');
        });

        Schema::create('pedido_producto', function (Blueprint $table) {
            $table->unsignedBigInteger('pedido_id');
            $table->unsignedBigInteger('producto_id');
            $table->unsignedInteger('cantidad');
            $table->timestamps();
            $table->primary(['pedido_id','producto_id']);
            $table->foreign('pedido_id')->references('id')->on('pedidos');
            $table->foreign('producto_id')->references('id')->on('productos');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('pedido_producto');
        Schema::dropIfExists('productos');
    }
};
